package com.jh.boot.document;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
public class LegalDocumentService {

	@Autowired
	private LegalDocumentRepository repo;

	@Transactional
	public LegalDocument findByCodeAndLocale(String code, String locale) {
		return repo.findByCodeAndLocale(code, locale);
	}
	
	
}
