package com.jh.boot.template;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.jh.boot.jpa.AbstractIdEntity;

@Entity
@Table(name = "TEMPLATE")
public class Template extends AbstractIdEntity {

	@Column(name = "CODE")
	private String code;
	
	@Column(name = "NAME")
	private String name;
	
	@Column(name = "TEMPLATE")
	private String template;

	public Template() {
		super();
	}

	public Template(Long templateId) {
		super();
		setId(templateId);
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getTemplate() {
		return template;
	}

	public void setTemplate(String template) {
		this.template = template;
	}

}
