package com.jh.boot.template.customizable;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import com.jh.boot.jpa.AbstractIdEntity;
import com.jh.boot.template.Template;

//@Entity
//@Table(name = "CUSTOMIZABLE_TEMPLATE_PARAM")
public class TemplateParam extends AbstractIdEntity {

	@Column(name = "CODE")
	private String code;
	
	@Column(name = "NAME")
	private String name;
	
	@Column(name = "LABEL")
	private String label;
	
	@ManyToOne
	@JoinColumn(name = "TEMPLATE_ID")
	private Template template;
	
	@Column(name = "DEFAULT_VALUE")
	private String defaultValue;

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public Template getTemplate() {
		return template;
	}

	public void setTemplate(Template template) {
		this.template = template;
	}

	public String getDefaultValue() {
		return defaultValue;
	}

	public void setDefaultValue(String defaultValue) {
		this.defaultValue = defaultValue;
	}
	
}
